Bug 49493 - mc undeletion feature trashed ext2 partition
Summary: mc undeletion feature trashed ext2 partition
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: mc (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-07-20 09:49 UTC by Jeremy Sanders
Modified: 2013-04-02 04:15 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-23 13:06:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jeremy Sanders 2001-07-20 09:49:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.2) Gecko/20010628

Description of problem:
I tried to use the undeletion feature in mc to undelete some files from an
ext2 filesystem. The filesystem was silently corrupted, which meant
eventually all the data was lost (thank goodness for backups!).

I unmounted the partition. In mc I entered the undeletion mode, and copied
the deleted files to the root partition. I then remounted the partition.
This was sufficient.

Unless this is a hardware fault (I didn't see any hardware error messages
in the logs), and not software (dodgy kernel or something - we're using the
latest RH 2.4.3-12), then I suggest mc's undeletion is disabled until it is
tested.

Hardware: Pentium II machine, with ~14 Gb ext2 partition on an IDE disk.

fscking partition found lots of errors, and overlapping files. The end
result was a big mess which couldn't be easily recovered.


How reproducible:
Didn't try

Steps to Reproduce:
1. Unmount ext2 partition
2. Use mc undeletion feature
3. Remount ext2 partition
4. Data becomes corrupted
	

Actual Results:  file system is corrupted.


Additional info:

Comment 1 Michael Schwendt 2001-07-21 16:46:17 UTC
Not related to this bug, but you're advised to use this great undeletion utility:

  http://recover.sourceforge.net/linux/recover/

_Much_ faster and user-friendly.

Btw, mc's undelete mode is read-only, I think. At least I recall I've used it on
read-only mounted partitions.

Comment 2 Mike A. Harris 2001-10-23 12:49:20 UTC
I don't believe it is even possible for mc to corrupt a partition
with undelfs at least last time I looked at the source code.  It is
read only.

Are you absolutely positive that it corrupted the fs, and not anything
else?

Comment 3 Jeremy Sanders 2001-10-23 13:05:55 UTC
It was the only thing which I ran on the drive between unmounting and mounting
the partition. I can't remember whether I fsck'd the drive after unmounting it,
so it could have been corrupt before, but there weren't any obvious errors. I
can't be certain whether mc was the problem. I'd like to do some tests on the
undeletion feature, but I haven't got time at the moment.


Comment 4 Havoc Pennington 2002-03-04 20:58:14 UTC
The most we'd do here is disable the undelete feature, no active hacking goes in
to mc on the Red Hat side. Don't know of any reports against 7.2 and the next
release will have a newer mc, so those may well fix the problem.


Note You need to log in before you can comment on or make changes to this bug.